<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.robot.mapper.LdTilemapConfigMapper">

    <resultMap type="com.ruoyi.robot.domain.LdTilemapConfig" id="LdTilemapConfigResult">
        <result property="id" column="id"/>
        <result property="mapName" column="map_name"/>
        <result property="layerCnt" column="layer_cnt"/>
        <result property="minZoom" column="min_zoom"/>
        <result property="maxZoom" column="max_zoom"/>
        <result property="tileSize" column="tile_size"/>
        <result property="projectionType" column="projection_type"/>
        <result property="extentLeft" column="extent_left"/>
        <result property="extentBottom" column="extent_bottom"/>
        <result property="extentRight" column="extent_right"/>
        <result property="extentTop" column="extent_top"/>
        <result property="tileStoragePath" column="tile_storage_path"/>
        <result property="tileBaseUrl" column="tile_base_url"/>
        <result property="originX" column="origin_x"/>
        <result property="originY" column="origin_y"/>
        <result property="resolution" column="resolution"/>
        <result property="format" column="format"/>
        <result property="configJson" column="config_json"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <sql id="selectLdTilemapConfigVo">
        select id, map_name, layer_cnt, min_zoom, max_zoom, tile_size, projection_type,
               extent_left, extent_bottom, extent_right, extent_top,
               tile_storage_path, tile_base_url, origin_x, origin_y, resolution, format,
               config_json, create_by, create_time, update_by, update_time
        from ld_tilemap_config
    </sql>

    <select id="selectByMapName" resultMap="LdTilemapConfigResult">
        <include refid="selectLdTilemapConfigVo"/>
        where map_name = #{mapName}
    </select>

</mapper>
